### Method

# Gsk Transform rotate

#### Declaration [src]

    GskTransform*
    gsk_transform_rotate (
      GskTransform* next,
      float angle
    )

#### Description [src]

Rotates `next` `angle` degrees in 2D - or in 3D-speak, around the z axis.

#### Parameters

`angle` | `float`
| The rotation angle, in degrees (clockwise).

#### Return value

Returns: | `GskTransform`
| The new transform.
| The caller of the function takes ownership of the data, and is responsible for freeing it.